Шаблон:Prototypes/Механика/Груз/styles.css: различия между версиями

Материал из Space Station 14 Вики
мНет описания правки
Нет описания правки
 
(не показано 5 промежуточных версий этого же участника)
Строка 22: Строка 22:
justify-content: space-between;
justify-content: space-between;
flex-wrap: wrap;
flex-wrap: wrap;
     font-size: 14px;
     font-size: var(--font-size-xs);
}
}


Строка 32: Строка 32:
.груз__notes {
.груз__notes {
     display: grid;
     display: grid;
     font-size: 14px;
     font-size: var(--font-size-xs);
}
}


.gradient-block__body {
.gradient-block__body {
     max-height: 268px;
     min-height: 180px;
     min-height: 80px;
     max-height: 600px;
}
}


.груз__header::before {
.груз__header::before {
     background: var(--color);
     background: var(--cargoProduct-category-color);
     width: 5px;
     width: 5px;
     position: absolute;
     position: absolute;
Строка 49: Строка 49:
     transform: rotate(320deg);
     transform: rotate(320deg);
     top: -12px;
     top: -12px;
}
#Armory .груз__header, #Security .груз__header {
--color: #9d1f1f;
}
#Engineering .груз__header, #Atmospherics .груз__header, #Shuttle .груз__header {
--color: #a39322;
}
#Cargo .груз__header, #Materials .груз__header {
--color: #b7631a;
}
#Emergency .груз__header, #Livestock .груз__header {
--color: #8a999c;
}
#Service .груз__header, #Hydroponics .груз__header, #Fun .груз__header, #Food .груз__header {
--color: #317a28;
}
#Medical .груз__header {
--color: #2f5eab;
}
#Science .груз__header {
--color: #741fb3;
}
}

Текущая версия от 07:33, 28 марта 2026

.груз__header {
    display: grid;
    gap: 4px;
    border-radius: 0.2em 0.2em 0 0;
    position: relative;
    overflow: hidden;
}

.груз__title, .груз__content, .груз__product, .груз__notes {
    gap: 6px;
}

.груз__title {
    display: flex;
    flex-direction: row;
    font-weight: bold;
    align-items: center;
}

.груз__content {
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
    font-size: var(--font-size-xs);
}

.груз__product {
	display: grid;
    padding: 2px 0;
}

.груз__notes {
    display: grid;
    font-size: var(--font-size-xs);
}

.gradient-block__body {
    min-height: 180px;
    max-height: 600px;
}

.груз__header::before {
    background: var(--cargoProduct-category-color);
    width: 5px;
    position: absolute;
    height: 48px;
    content: "";
    right: 0px;
    transform: rotate(320deg);
    top: -12px;
}